Product Reviews
16 endpoints
POST/v1/ai/text/review-reply
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Body
application/json
POST/v1/ai/text/review-summary
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Body
application/json
GET/v1/products/{id}/reviews
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
idpath · stringRequiredPOST/v1/products/{id}/reviews
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
idpath · stringRequiredBody
application/json
POST/v1/reviews/photos
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Body
application/json
GET/v1/reviews/requests/{token}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
tokenpath · stringRequiredPUT/v1/reviews/requests/{token}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
tokenpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/orders/{orderId}/review-link
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredorderIdpath · stringRequiredPOST/v1/stores/{storeId}/orders/{orderId}/review-link/sent
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredorderIdpath · stringRequiredBody
application/json
DELETE/v1/stores/{storeId}/products/{productId}/review-summary
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredproductIdpath · stringRequiredGET/v1/stores/{storeId}/reviews
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredPOST/v1/stores/{storeId}/reviews
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredBody
application/json
PATCH/v1/stores/{storeId}/reviews/{id}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredBody
application/json
DELETE/v1/stores/{storeId}/reviews/{id}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredPOST/v1/stores/{storeId}/reviews/bulk
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/reviews/requests
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequired